/*Get the colors file*/
@import url("../Colors/custom-colors.css");
/*Get the fonts file*/
@import url("../fonts/fonts.css");

.navbar-brand img {
    max-height: 75px;
}

#mainMenuNav {
    height: 75px;
    background: none;
    border: none;
}

#mainMenuNav .container {
    width: 100%;
    height: 75px;
    padding: 0;
    padding-left: 5vw;
    padding-right: 5vw;
}

#brand {
    padding: 0;
    padding-left: 30px;
}

#navbar {
    padding:15px;
    height: 60px;
    float: right;
}

.navbar-btn {
    margin-left: 15px;
}

.nav-user-info {
    margin: 0;
    font-size: 15px;
    cursor: default;
    color: white;
}

#userName {
    font-family: "Montserrat-SemiBold";
    white-space: nowrap;
    max-width: calc(50vw - 270px);
    text-overflow: ellipsis;
    overflow: hidden;
    min-width: 100px;
}

.navbar-nav {
    flex-direction: row;
}

.nav-item {
    margin-left: 5px;
    margin-right: 5px;
}

.extended-navbar {
    min-height: 100px;
}

#logout {
    font-size: 30px;
    color: white;
    cursor: pointer;
    z-index: 2;
    padding-top: 0;
    padding-left: 10px;
}


/* SIDE NAV */

#mainNavMenuButton {
    position: fixed;
    left: 10px;
    z-index: 4;
    color: var(--d4m-body-default);
    padding: 0;
    transform: scale(0.6);
    -moz-transform: scale(0.6);
    -webkit-transform: scale(0.6);
    -ms-transform: scale(0.6);
    -o-transform: scale(0.6);
    outline: none;
}

.hamburger-inner::before{
  background-color: white !important;
}
.hamburger-inner::after{
  background-color: white !important;
}
.hamburger-inner{
  background-color: white !important;
}

.hamburger-inverse::before{
  background-color: var(--d4m-element-primary) !important;
}
.hamburger-inverse::after{
  background-color: var(--d4m-element-primary) !important;
}
.hamburger-inverse{
  background-color: var(--d4m-element-primary) !important;
}


/* SIDENAV DEFAULT */

.side-nav {
  height: calc(100% - 50px);
  width: 300px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: -300px;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.side-nav.side-nav-open {
	left:0;
}

.side-nav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.side-nav a:hover {
  color: #f1f1f1;
}

.side-nav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* SIDENAV DEFAULT */

/* D4M SIDENAV */
#mainNavMenu {
    top: 50px;
    background-color: white;
    z-index: 3;
}

#userImageHolder {
    height: 120px;
}

#mainNavMenu .side-nav-header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--d4m-nav-grey);
    border-bottom: 2px solid var(--d4m-body-default);
    padding: 15px;
    text-align: center;
}

#mainNavMenu .side-nav-body {
    text-align: center;
    margin-top: 145px;
}
.navMenuItemBorder {
  background-color:var(--d4m-body-default);
  height:1px;
  margin-left: 10px;
  margin-right: 10px;
}

#mainNavMenu .nav-menu-item {
    padding-top: 10px;
    padding-bottom: 10px;
    margin: 0;
    cursor: pointer;
}

#mainNavMenu .nav-menu-item:hover {
    background-color: var(--d4m-fade-striped-row);
    font-family: 'Montserrat-Bold';
}

#mainNavMenu .nav-menu-item img {
    height: 40px;
}

#mainNavMenu .nav-item-text {
    text-align: justify;
}

#mainNavMenu .nav-item-text p {
    margin-top: 10px;
    margin-bottom: 0;
}

#mainNavMenu .nav-item-last {
    border-bottom: none;
}

#mainNavMenu .side-nav-footer {
    position: absolute;
    left: 20px;
    bottom: 0;
}

#userNameHolder {
    font-size: 15px;
    font-family: "Montserrat-Bold";
    color: var(--d4m-body-default);
}

.subpage-sidenav .side-nav-header {
    background-image: linear-gradient(to bottom, white, var(--d4m-nav-grey))!important;
}

/* D4M SIDENAV */

.copyright-statement {
    font-size: 12px;
    color: var(--d4m-text-basic);
}

/* D4M Brand NAV */

#brandNav {
    overflow: visible;
    background-color: var(--d4m-body-default);
    padding: 0;
}

#brandNav .container-fluid {
    position: relative;
    height: 50px;
    text-align: center;
    overflow: visible;
}

#brandNav .navbar-header {
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    overflow: visible;
    height: 50px;
    z-index: 2;
}

.brand-basic {
    position: absolute;
    margin: auto;
    height: 0;
    border-left: 30px solid transparent;
    border-right: 30px solid transparent;
}
#brand {
    width: 295px;
    left: calc(50vw - 147.5px);
    z-index: 3;
    border-top: 65px solid white;
}

.brand-basic img {
    left: 0;
    right: 0;
    top: -65px;
    margin: auto;
    position: absolute;
    padding: 0;
    height: 55px;
}

#brandBorder {
    width: 299px;
    left: calc(50vw - 149.5px);
    z-index: 2;
    border-top: 67px solid var(--d4m-body-default);
}

/* D4M Brand NAV */

@media(max-width: 750px) {
    .navbar-header {
        display: none;
    }

    .nav-user-info-main {
        display: none;
    }

    #userProfile {
        display: none;
    }
}

#pageTitle {
    font-size: 18px;
    max-width: 175px;
    position: absolute;
    left: 60px;
    z-index: 2;
    padding: 0;
    margin: 0;
    color: white;
    font-family: "Montserrat-SemiBold";
}

#userProfile img {
    height: 45px;
}

.nav-user-info-main {
    text-align: left;
}

#logout img {
    height: 32px;
}

#brandNav .container-fluid {
    padding-left: 0;
    padding-right: 0;
}
